#include <QtCore/QtCore>
#include <QtScript/QtScript>

int main(int argc, char *argv[])
{
  QCoreApplication a(argc, argv);
  QScriptEngine engine;

  QScriptValue aValue = engine.evaluate("2+3");
  qDebug() << "aValue:" << aValue.toString();

  QScriptValue aFunction = engine.evaluate("(function(a,b) {return a+b;})");
  qDebug() << "aFunction:" << aFunction.toString();

  QScriptValue jsonParser = engine.evaluate(QLatin1String("JSON.parse"));
  qDebug() << "jsonParser:" << jsonParser.toString();

  return 0;
}
